function ppf(){}
function orf(){}
function Aqf(a){this.a=a}
function Mqf(a){this.a=a}
function Jqf(a,b){npf(a.a,b)}
function Iqf(a,b){npf(a.c,b)}
function npf(a,b){Ldf(a.a,b)}
function Kqf(){cZd.call(this)}
function Hqf(a){Ndf(a.a.a);Ndf(a.c.a)}
function xrf(a){var b;if(!a.g){b=new Kqf;a.g=b}return a.g}
function uqf(a){var b;Hqf(a.A);b=nAh(a.a,Hdf(),gM(Y0c,Lwj,1,[]));c7i(V6i(b,IFj),C$j);k7i(V6i(b,D$j),true);Qmj(new hmj(b),new Aqf(a))}
function vqf(a,b,d,e,g){J8d.call(this,a,b,d,e);this.c=g;this.a=(new v_i(zXb,(yAh(),tAh).Mc(zXb),xAh.Mc(zXb))).a;this.b=new K_i(zXb)}
function nrf(a){var b;b=gM(s1c,Ewj,196,[new Jef(gXj,'Application Failures'),new Jef(iXj,'Resource Failures')]);PXd();a.a=Udf(new Vdf('Failure Origin',Z$j),b);return Mdf(a.a)}
function wrf(a){var b;if(!a.f){b=new vqf(QEd(Nbe(a.a)),xrf(a),vrf(a),(snj(sde(a.a)),voj(ude(a.a))),(w0i(qde(a.a)),kLg(Gce(a.a))));aFd((Obe(a.a),b),ZFd(Obe(a.a)));a.f=b}return a.f}
function opf(a){var b,d;d=new Jef(_Wj,'Number of Transactions');b=gM(s1c,Ewj,196,[(d.c=true,d),vef(new Jef(bXj,'Commited'),d),vef(new Jef(dXj,'Aborted'),d),vef(new Jef(ZWj,'Timed Out'),d)]);PXd();a.a=Udf(new Vdf('Success Ratio',Z$j),b);return Mdf(a.a)}
function zqf(a,b){var d,e;e=Kmj(b);if(e.b.gN(dGj)&&V6i(e,dGj).b.b!=(llj(),klj)&&!UOd(V6i(e,dGj).b.Ze(),eGj)){cd('Failed to load TX metrics: '+X6i(e))}else{d=A_i(a.a.b,V6i(e,RFj));Jqf(a.a.A,new Ddf(gM(a0c,Dwj,-1,[d.OF(),d.IF(),d.GF(),d.NF()])));Iqf(a.a.A,new Ddf(gM(a0c,Dwj,-1,[d.HF(),d.MF()])))}}
f3c(2685,1,{},ppf);_.a=null;f3c(2707,1401,Kxj,vqf);_.Qi=function(){this.A.b=this;I8d(this,vyh(pde((PXd(),NXd).a)))};_.Vi=function(){uqf(this)};_.Zi=function(){ruf(this.c,this)};f3c(2709,1643,{},Aqf);_.dh=function(a){zqf(this,a)};f3c(2712,1208,ryj,Kqf);_.Ah=function(){var a,b;b=new cnd(c_j);zz((Mfd(),b.gb),d_j);b.gb.style[BBj]=(EC(),KBj);b.gb.style[GBj]=-80+(AD(),mAj);b.gb.style[e_j]=I0j;YA(b.gb.style,uB());b.gb.style[FBj]=J0j;xr(b,(PXd(),'refreshBtnTXMetricViewImp'));b.sh(new Mqf(this));this.a=new ppf;this.c=new orf;a=nBe(nBe(nBe(qBe(rBe(uBe(new wBe,e4j),i4j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),jzj,b),'Executions',opf(this.a)),'Rollbacks',nrf(this.c));return oBe(a)};f3c(2713,1,Ywj,Mqf);_.he=function(a){uqf(this.a.b)};f3c(2720,1,{},orf);_.a=null;f3c(2725,1,qyj);_.pd=function(){yGd(this.b,wrf(this.a.a))};var $ub=wNd(2707),Xub=wNd(2709),avb=wNd(2712),_ub=wNd(2713),Aub=wNd(2685),jvb=wNd(2720);ezj(hp)(74);